Delete an MCP server
import requests
url = "https://platform.ankra.app/api/v1/org/mcp-servers/{server_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/mcp-servers/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/mcp-servers/{server_id} \
--header 'Authorization: Bearer <token>'{
"server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "deleted"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}MCP Servers
Delete an MCP server
Removes the server from the organisation, so AI agents can no longer call its tools. Requires the ai.manage permission.
DELETE
/
api
/
v1
/
org
/
mcp-servers
/
{server_id}
Delete an MCP server
import requests
url = "https://platform.ankra.app/api/v1/org/mcp-servers/{server_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/mcp-servers/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/mcp-servers/{server_id} \
--header 'Authorization: Bearer <token>'{
"server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "deleted"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The registered MCP server's id.